package json;

import java.util.LinkedList;
import java.util.List;

public class JSONArray implements JSONDatatype {

	private List<JSONDatatype> a;

	public JSONArray() {
		a = new LinkedList<>();
	}

	public void add(JSONDatatype e) {
		a.add(e);
	}

	@Override
	public String toString() {
		StringBuilder sb = new StringBuilder();
		sb.append("[");
		for (int i = 0; i < a.size(); i++) {
			if (i < a.size() - 1) {
				sb.append(a.get(i).toString() + ",");
			} else {
				sb.append(a.get(i).toString());
			}
		}
		sb.append("]");
		return sb.toString();
	}

}
